# spec file for package nodejs-nodejs-string_decoder

%global npmname string_decoder
%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:           nodejs-string_decoder
Version:        0.10.31
Release:        0%{?dist}
Summary:        The string_decoder module from Node core
Url:            https://github.com/rvagg/string_decoder
Source0:        http://registry.npmjs.org/string_decoder/-/string_decoder-0.10.31.tgz
License:        MIT

BuildRoot:      %{_tmppath}/%{pkg_name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:	noarch
ExclusiveArch:	%{nodejs_arches} noarch

BuildRequires:  nodejs-devel

%if 0%{?enable_tests}
BuildRequires: npm(tap)
%endif

%description
The string_decoder module from Node core

%prep
%setup -q -n package

%build
#nothing to do

%install
rm -rf %buildroot

mkdir -p %{buildroot}%{nodejs_sitelib}/string_decoder

cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/string_decoder

%{nodejs_symlink_deps}

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
tap test/simple/*.js
%endif

%clean
rm -rf %buildroot

%files
%{nodejs_sitelib}/string_decoder

%doc README.md
%license LICENSE

%changelog
